'>Bambino-02b
'>Robot R-Bambino
Sertxd("B02b",cr)		'report program number

#PicAxe 20M2
#no_data

'Bambino-01		'Test eyeLEDs, whiskerLEDs and speaker
'Bambino-02		'Test InfraRed input
'Bambino-02a	'Test Eye light values
'Bambino-02b	'Test Whisker light values and put in EEPROM

'Test Whisker light values
'-------------------------
'	open the Terminal window [F8] to see the values;
'		set the baud to 4800;


symbol VoiceLed_     =c.5
symbol eyeLedL_      =c.2    'low =>LED on 
symbol eyeLedR_      =b.1    'low =>LED on
symbol whiskerLedL_  =c.3    'low =>whisker LED on
symbol whiskerLedR_  =b.3    'low =>whisker LED on
symbol iIRin         =c.6
symbol oIRout        =b.2
symbol eyeR          =c.7		  	
symbol eyeL          =c.1		  	
symbol whiskerL      =b.6    'whisker Down Left		  	
symbol whiskerR      =b.0    'whisker Down Right		  	

'edit holedetect values so Bambino can see table edges
'detected values should 
'be grater than the holedetect values when not at an edge 
'and lower when at an edge
symbol holedetectL =50	'scaled light level difference for hole
symbol holedetectR =50	'scaled light level difference for hole


write 253,holedetectL	'store for future programs
write 252,holedetectR	'store for future programs

initialise:
	high whiskerLedL_			'make output, whisker LED off
	high whiskerLedR_			'make output, whisker LED off

start:

ReadwhiskerL:
	readadc b.6,b1			'dark
	low whiskerLedL_			'LED on
	readadc b.6,b2			'light
	high  whiskerLedL_		'LED off
	if b1>b2 then ReadwhiskerL	
	b3 =b2 -b1 *256 /b2		'scale 
	sertxd ("L ",#b1," ",#b2," ",#b3,"   ")   	 'home, send value back to PC
	if b3<holedetectL then
	  sertxd("edge",cr)
	 endif 

ReadwhiskerR:
	readadc b.0,b1			'dark
	low whiskerLedR_			'LED on
	low whiskerLedL_			'LED on
	readadc b.0,b2			'light
	high  whiskerLedR_		'LED off
	high  whiskerLedL_		'LED off
	if b1>b2 then ReadwhiskerR	
	b3 =b2 -b1 *256 /b2		'scale
	sertxd ("R ",#b1," ",#b2," ",#b3,"   ",cr)',"--",cr) 'send value back to PC
	if b3<holedetectR then
	  sertxd("edge",cr)
	 endif 
	
	
	pause 200
	goto start                    'loop back to start



