'>Bambino-06
'>Robot R-Bambino
Sertxd("B06",cr)		'report program number

#PicAxe 20M2
#no_data

'Bambino-01		'Test eyeLEDs, whiskerLEDs and speaker
'Bambino-02		'Test InfraRed input
'Bambino-02a	'Test Eye light values
'Bambino-02b	'Test Whisker light values and put in EEPROM
'Bambino-03		'Play the inbuilt tunes using keys 1 to 4 and beep on 5
'Bambino-04		'Set servos to mid position	
'Bambino-05		'Calibrate servo mid positions and put in EEPROM.
'Bambino-06		'Introduce _iStand:- initialise with feet in mid position


'Introduce _iStand:- initialise with feet in mid position
'--------------------------------------------------------

'modified
'--------
'initialise:

'New
'---
'i
'_iStand:

symbol oservopace     =c.0	'left connector
symbol oservoroll     =c.4	'right connector
symbol VoiceLed_      =c.5
symbol eyeLedL_       =c.2    'low =>LED on 
symbol eyeLedR_       =b.1    'low =>LED on
symbol whiskerLedL_   =c.3    'low =>whisker LED on
symbol whiskerLedR_   =b.3    'low =>whisker LED on
symbol iIRin          =c.6
symbol oIRout         =b.2

symbol rollC	=150	'100 is roll to the left
symbol paceC	=150	'100 is left foot back

symbol i 		=b2


initialise:
	low eyeLedR_			'make output
	high eyeLedL_			'make output
	gosub _iStand

start:
	toggle eyeLedR_			'flash eyeR so we know program is running
	toggle eyeLedL_			'flash eyeR so we know program is running
	pause 20				'pause 20ms
	goto start                    'loop back to start


_iStand:
'initialise with feet in mid position
	for i=0 to 10
	  pulsout oservopace,paceC	'pulse servo paceC
	  pulsout oservoroll,rollC	'pulse servo rollC
	  pause 70				'pause 70ms - do it slowly
	 next i
	return 