'>Bambino-07
'>Robot R-Bambino
Sertxd("B07",cr)		'report program number

#PicAxe 20M2
#no_data

'Bambino-01		'Test eyeLEDs, whiskerLEDs and speaker
'Bambino-02		'Test InfraRed input
'Bambino-02a	'Test Eye light values
'Bambino-02b	'Test Whisker light values and put in EEPROM
'Bambino-03		'Play the inbuilt tunes using keys 1 to 4 and beep on 5
'Bambino-04		'Set servos to mid position	
'Bambino-05		'Calibrate servo mid positions and put in EEPROM.
'Bambino-06		'Introduce _iStand:- initialise with feet in mid position
'Bambino-07		'Set rollR


'Set rollR
'---------
'edit rollR and reload program until left foot is just off the ground

'modified
'--------
'initialise:
'start
'_iStand

'New
'---
'rollR
'rollspeed
'rollat
'sframe:
'_rollR


symbol servopace      =c.0	'left connector
symbol servoroll      =c.4	'right connector
symbol VoiceLed_      =c.5
symbol eyeLedL_       =c.2    'low =>LED on 
symbol eyeLedR_       =b.1    'low =>LED on
symbol whiskerLedL_   =c.3    'low =>whisker LED on
symbol whiskerLedR_   =b.3    'low =>whisker LED on
symbol iIRin          =c.6
symbol oIRout         =b.2

symbol rollC	=150	'100 is roll to the left
symbol paceC	=150	'100 is left foot back

symbol i 		=b2
symbol rollat 	=b3

symbol rollR      =rollC+15
symbol rollspeed  =1
symbol sframe     =20	'time between servo pulses



initialise:
	low eyeLedR_	'make output
	high eyeLedL_	'make output
	gosub _iStand

start:
	toggle eyeLedR_	'alter eyeR so we know program is running
	toggle eyeLedL_	'alter eyeR so we know program is running
	gosub _rollR
	end



_rollR:
	for i=rollat to rollR step rollspeed
	  rollat =i
	  pulsout servoroll,rollat	'pulse servo
	  pause sframe
	 next i
	return 
	 
_iStand:
'initialise with feet in mid position
	for i=0 to 10
	  pulsout servopace,paceC	'pulse servo paceC
	  pulsout servoroll,rollC	'pulse servo rollC
	  pause 70				'pause 70ms - do it slowly
	 next i
 	rollat =rollC
	return 