'>Bambino-11
'>Robot R-Bambino
Sertxd("B11",cr)		'report program number

#PicAxe 20M2
#no_data

'Bambino-01	'Test eyeLEDs, whiskerLEDs and speaker
'Bambino-02	'Test InfraRed input
'Bambino-02a	'Test Eye light values
'Bambino-02b	'Test Whisker light values and put in EEPROM
'Bambino-03	'Play the inbuilt tunes using keys 1 to 4 and beep on 5
'Bambino-04	'Set servos to mid position	
'Bambino-05	'Calibrate servo mid positions and put in EEPROM.
'Bambino-06	'Introduce _iStand:- initialise with feet in mid position
'Bambino-07	'Set rollR
'Bambino-08	'Set rollL
'Bambino-09	'Check rollR, rollL
'Bambino-10	'Introduction of _Stand
'Bambino-11	'Investigate effect of rollspeed;	watch roll for all three speeds

'Investigate effect of rollspeed
'-------------------------------
'watch roll for all three speeds
'	You might have to take out the download cable to 
'	check what is right, because it pulls the robot.

'modified
'--------
'initialise:
'start:

'New
'---
'rollspeed is now a variable


symbol servopace      =c.0	'left connector
symbol servoroll      =c.4	'right connector
symbol VoiceLed_      =c.5
symbol eyeLedL_       =c.2    'low =>LED on 
symbol eyeLedR_       =b.1    'low =>LED on
symbol whiskerLedL_   =c.3    'low =>whisker LED on
symbol whiskerLedR_   =b.3    'low =>whisker LED on
symbol iIRin          =c.6
symbol oIRout         =b.2

symbol rollC	=150	'100 is roll to the left
symbol paceC	=150	'100 is left foot back

symbol i 		=b2
symbol i2 		=b3
symbol rollat 	=b4

symbol rollR      =rollC+15
symbol rollL      =rollC-15
symbol rollspeed  =b6   '4 is too fast, 0 won't move
symbol sframe     =20	'time between servo pulses



initialise:
	low eyeLedR_	'make output
	high eyeLedL_	'make output
	gosub _iStand
	rollspeed =1  

start:
      for i2=1 to 5
        toggle eyeLedR_	'alter eyeR so we know program is running
	  toggle eyeLedL_	'alter eyeR so we know program is running
	  gosub _rollR
	  toggle eyeLedR_	'alter eyeR so we know program is running
	  toggle eyeLedL_	'alter eyeR so we know program is running
	  gosub _rollL
	 next i2
	rollspeed =rollspeed +1  
	if rollspeed>3 then initialise
	goto start



Stand:
	if rollat<rollC then _StandR
_StandL:
	for i=rollat to rollC step -rollspeed
	  rollat =i
	  pulsout servoroll,rollat	'pulse servo
	  pause sframe
	 next i
	return 
_StandR:
	for i=rollat to rollC step rollspeed
	  rollat =i
	  pulsout servoroll,rollat	'pulse servo
	  pause sframe
	 next i
	return 

_rollL:
	for i=rollat to rollL step -rollspeed
	  rollat =i
	  pulsout servoroll,rollat	'pulse servo
	  pause sframe
	 next i
	return 
	 
_rollR:
	for i=rollat to rollR step rollspeed
	  rollat =i
	  pulsout servoroll,rollat	'pulse servo
	  pause sframe
	 next i
	return 

_iStand:
'initialise with feet in mid position
	for i=0 to 10
	  pulsout servopace,paceC	'pulse servo paceC
	  pulsout servoroll,rollC	'pulse servo rollC
	  pause 70				'pause 70ms - do it slowly
	 next i
	rollat =rollC
	return 