'>Bambino-03
'>Robot R-Bambino
Sertxd("B03",cr)		'report program number

#PicAxe 20M2
#no_data

'Bambino-01		'Test eyeLEDs, whiskerLEDs and speaker
'Bambino-02		'Test InfraRed input
'Bambino-02a	'Test Eye light values and put in EEPROM
'Bambino-03		'Play the inbuilt tunes using keys 1 to 4 and beep on 5


'Play the inbuilt tunes using keys 1 to 4 and beep on 5
'------------------------------------------------------

symbol VoiceLed_      =c.5
symbol eyeLedL_       =c.2    'low =>LED on 
symbol eyeLedR_       =b.1    'low =>LED on
symbol whiskerLedL_   =c.3    'low =>whisker LED on
symbol whiskerLedR_   =b.3    'low =>whisker LED on
symbol iIRin          =c.6
symbol oIRout         =b.2
symbol eyeR           =c.7		  	
symbol eyeL           =c.1		  	



'TVR010 PicAxe IR-controller
'---------------------------
'Before use, the transmitter must be programmed with the Sony transmit code.
'1. Insert 2 AAA size batteries, preferably alkaline.
'2. Press S and B at the same time. S is in the centre of the arrows. 
'	The top left red LED should light.
'3. Press 0. The LED should flash.
'4. Press 1. The LED should flash.
'5. Press 3. The LED should go out.
'6. Press the red power button (top right).
'-------------------------------------------
'IRin cmnds PicAxe controller

Symbol KEY_POWER  = 21
Symbol KEY_UP     = 16
Symbol KEY_DOWN   = 17
Symbol KEY_RIGHT  = 18
Symbol KEY_LEFT   = 19

symbol IRkey1     =  0
symbol IRkey2     =  1
symbol IRkey3     =  2
symbol IRkey4     =  3
symbol IRkey5     =  4
symbol IRkey6     =  5
symbol IRkey7     =  6
symbol IRkey8     =  7
symbol IRkey9     =  8
Symbol KEY_MINUS  = 98
Symbol KEY_0      =  9
Symbol KEY_PLUS   = 11
Symbol KEY_BAR    = 96
Symbol KEY_TENT   = 54
Symbol KEY_VERT_CROSS = 37
Symbol KEY_DIAG_CROSS = 20


initialise:
	low eyeLedR_			'make output
	high eyeLedL_			'make output

start:
	toggle eyeLedR_			'flash eyeR while waiting 
	toggle eyeLedL_			'flash eyeR while waiting 
	irin [100,start],iIRin,b1	'irin with timeout
	on b1 goto play0,play1,play2,play3,beep 
	'if b1>3 then ignore command
	goto start                    'loop back to start



play0:
	play VoiceLed_,0
	goto start                    'loop back to start
play1:
	play VoiceLed_,1
	goto start                    'loop back to start
play2:
	play VoiceLed_,2
	goto start                    'loop back to start
play3:
	play VoiceLed_,3
	goto start                    'loop back to start

beep:
	sound VoiceLed_,(150,10)
	goto start                    'loop back to start
