'>Bambino-05
'>Robot R-Bambino
Sertxd("B05",cr)		'report program number

#PicAxe 20M2
#no_data
read 255,b1
Sertxd("255 is ",#b1,cr)
'Bambino-01		'Test eyeLEDs, whiskerLEDs and speaker
'Bambino-02		'Test InfraRed input
'Bambino-02a	'Test Eye light values
'Bambino-02b	'Test Whisker light values and put in EEPROM
'Bambino-03		'Play the inbuilt tunes using keys 1 to 4 and beep on 5
'Bambino-04		'Set servos to mid position	
'Bambino-05		'Calibrate servo mid positions and put in EEPROM.


'Calibrate servo mid positions.
'-----------------------------
'The pulsout value must be between 100 and 200 otherwise the servo may be damaged.
'Because of the way each servo is made and
'  the horns can only be put on about every 15 degrees
'  the feet may not be exactly side by side or flat on the ground.
'Edit the servo mid positions, rollC and paceC, and
'   reload the program until the feet are in the right position..
'The calibrated values are stored in EEPROM for further programs.


symbol servopace      =c.0	'left connector
symbol servoroll      =c.4	'right connector
symbol VoiceLed_      =c.5
symbol eyeLedL_       =c.2    'low =>LED on 
symbol eyeLedR_       =b.1    'low =>LED on
symbol whiskerLedL_   =c.3    'low =>whisker LED on
symbol whiskerLedR_   =b.3    'low =>whisker LED on
symbol eyeR           =c.7		  	
symbol eyeL           =c.1		  	
symbol iIRin          =c.6
symbol oIRout         =b.2

symbol rollC	=155	'100 is roll to the left
symbol paceC	=150	'100 is left foot back

write 254,rollC		'save for other programs
write 255,paceC		'save for other programs 

initialise:
	low eyeLedR_			'make output
	high eyeLedL_			'make output

start:
	toggle eyeLedR_			'flash eyeR so we know program is running
	toggle eyeLedL_			'flash eyeR so we know program is running
	pulsout servopace,paceC	'pulse servo paceC
	pulsout servoroll,rollC	'pulse servo rollC
	pause 20				'pause 20ms
	goto start                    'loop back to start


